/*System Class*/

var _system = {

	message: function(message) {
		if (navigator.notification) {
	    	console.log("Call message(): navigator.notification.alert() ");
	        setTimeout(function() { navigator.notification.alert(message); }, 100);
	    } else {
	    	console.log("Call message(): alert()");
	        setTimeout(function() { alert(message); }, 100);
	    }
	},
	
	openBrowser: function(url) {
        console.log("Call openBrowser()");
		window.open(url,'_blank','EnableViewPortScale=yes');
	},
	
	width: function() {
		return $(document).width();
	},
	
	height: function() {
		return $(document).height();
	},
	
	isNull: function(str) {
		if (str=="" || str==undefined || str=="undefined" || str==null || typeof(str)=="null" || str=="null") {
			return true;
		} else {
			return false;
		}
	},
	
	isSmartphone: function() {
		if ((navigator.userAgent.indexOf("iPod")>-1)||(navigator.userAgent.indexOf("iPhone")>-1)) {
			return true;
		} else {
			return false;
		}
	},
	
	isOSX: function() {
		if ((navigator.userAgent.indexOf("iPhone")>-1)||(navigator.userAgent.indexOf("iPad")>-1)||(navigator.userAgent.indexOf("iPod")>-1)) {
			return true;
		} else {
			return false;
		}
	},
	
	isAndroid: function() {
		if (navigator.userAgent.indexOf("Android")>-1) {
			return true;
		} else {
			return false;
		}
	},
	
	isMobile: function() {
		if ((navigator.userAgent.indexOf("Android")>-1)||(navigator.userAgent.indexOf("iPhone")>-1)||(navigator.userAgent.indexOf("iPad")>-1)||(navigator.userAgent.indexOf("iPod")>-1)) {
			return true;
		} else {
			return false;
		}
	},
	
	divExist: function(id) {
		if (id.indexOf("#")!=0) id = "#"+id;
		if ($(id).length>0) {
			return true;
		} else {
			return false;
		}
	},
	
	back: function() {
		var idView = _app.latestViewShowed.replace('#','');
		console.log(idView);
		if (!this.isNull(idView) && idView!="") {		
			if (O_Main_View[idView].sectionShowed>0) {			
				O_Main_View[idView].backSection();
			} else {
				if (_app.latestViewShowed!="#home") {
					O_Main_View['home'].show();
				} else {
					if (this.isAndroid()) {
						if (confirm("Vuoi uscire dall'App?")) {
							navigator.app.exitApp();
						}
					}					
				}
			}
			return false;
		}
		return false;
	},
	
	loader: function(message,addCSSClass) {
		if (this.isNull(message)) message = "Loading..."
		return "<div class='loader generic "+(!this.isNull(addCSSClass) ? addCSSClass : "")+"'>"+message+"</div>";
	},
	
	checkConnection: function() {
	    /*
	    if ((navigator.userAgent.indexOf("iPod")>-1)||(navigator.userAgent.indexOf("iPhone")>-1)) {
	        var networkState = navigator.network.connection.type;
	        var states = {};
	        states[Connection.UNKNOWN]  = '';
	        states[Connection.ETHERNET] = 'Ethernet connection';
	        states[Connection.WIFI]     = 'WiFi connection';
	        states[Connection.CELL_2G]  = 'Cell 2G connection';
	        states[Connection.CELL_3G]  = 'Cell 3G connection';
	        states[Connection.CELL_4G]  = 'Cell 4G connection';
	        states[Connection.NONE]     = '';
	        return states[networkState];
	    } else {
	        return "Connected";
	    }
	    */
	    if (navigator.onLine==true) {
	    	log("checkConnection(): true");
		    return true;
	    } else {
	    	log("checkConnection(): false");
		    return false;
	    }
	},
	
	currentPosition: function() {
		var options = {timeout: 3000};
		navigator.geolocation.getCurrentPosition(function(position) {
			_app.userLastLat = position.coords.latitude;
			_app.userLastLon = position.coords.longitude;
			_app.userLastAccuracy = position.coords.accuracy;
			console.log("Call currentPosition()");
			_app.userGeoError = false;
		}, function() {
			//_app.userLastLat = null;
			//_app.userLastLon = null;
			//_app.userLastAccuracy = null;
			_app.userGeoError = true;
            console.log("Call currentPosition(): ERROR!!!!");
		}, options);
	}
	
}