(function(doc) {
        var viewport = document.getElementById('viewport');
        if ( navigator.userAgent.match(/iPhone/i) || navigator.userAgent.match(/iPod/i)) {
            viewport.setAttribute("content", "width=device-width, height=device-height, initial-scale=1.0, maximum-scale=1.0, user-scalable=no");
        } else if ( navigator.userAgent.match(/iPad/i) ) {
            viewport.setAttribute("content", "initial-scale=1.0, maximum-scale=1.0, user-scalable=no");
        }
}(document));

/*Section scroll events*/
var _scroll = {
	"view" : null,
	"level" : null,
	"scrollTop": 0,
	"scrollDif": 0,
	"timer": null
}

$(document).on('touchstart','section',function(event) {
	_scroll.view = $(this);
	//console.log("Touch Start!");
	_scroll.timer = setInterval(function() {
		var scrollTop = _scroll.view.scrollTop();
		_scroll.scrollDif = scrollTop - _scroll.scrollTop;
		_scroll.scrollTop = scrollTop;
		//console.log(_scroll.scrollTop);
	}, 20);
});

$(document).on('touchend','section',function(event) {
	_scroll.scrollDif = 0;
	//console.log("Touch End!");
	setTimeout(function() {	
		clearInterval(_scroll.timer);
	},1000);
});

/*Headerbar Events*/

$(document).on('click',"a",function() {
	var href = $(this).attr('href');
	if ((href.indexOf('tel:')>=0) || (href.indexOf('mailto:')>=0)) {
		return true;
	} else {
		_system.openBrowser(href);
		return false;		
	}
});

/*Headerbar Events*/

$(document).on('tap',"headerbar li",function() {
	var action = $(this).attr('action');
	if (!_system.isNull(action)) {
		if (!_system.isNull(action)) eval(action);
		return false;
	}
});

/*Toolbar Events*/

$(document).on('tap',"toolbar li",function() {
	//_app.toolbar.selectButton($(this).attr('index'));
	var action = $(this).attr('action');
	if (!_system.isNull(action)) eval(action);
	O_Main_Menu.hide();
	$('toolbar').removeClass('open');
	return false;
});

$(document).on('tap',"toolbar #button-toolbar-close",function() {
	$('toolbar').removeClass('open');
	return false;
});

$(document).on('tap',".button-toolbar-open",function() {
	$('toolbar').addClass('open');
	return false;
});

/*Button Events*/

$(document).on('tap',"button",function() {
	var action = $(this).attr('action');
	if (!_system.isNull(action)) eval(action);
	return false;
});

/*List Events*/

$(document).on('tap',"#list-sellers .list-item",function() {
	var view = $(this).attr('view');
	var action = $(this).attr('action');
	var apiArticleCallUrl = $(this).attr('apiArticleCallUrl');
	if (!_system.isNull(action) || !_system.isNull(apiArticleCallUrl)) {
		if (!_system.isNull(apiArticleCallUrl) && !_system.isNull(view)) {
		 	loadSellerDetail(view,apiArticleCallUrl);	
		}
	 	return false;		
	} else {
		return true;
	}
});

/*Generic input Events*/
/*
$(document).on('tap',"input, textarea, select",function() {
	//$(this).focus();
	//return false;
});

$(document).on('focus',"input, textarea, select",function() {
	$('toolbar').hide();
});

$(document).on('blur',"input, textarea, select",function() {
	$('toolbar').show();
});
*/

/*
$(document).ready(function() {
	$("main").height($(document).height());
});

window.addEventListener("orientationchange", function() {
	$("main").height($(document).height());
}, false);
*/

/*Menu Events*/

$(document).on('tap',"menu li",function() {
	if ($(this).hasClass('sticky')) {
		var myId = $(this).attr('id');
		if (!$(this).hasClass('closed')) {
			$(this).addClass('closed');
			var foundNode = false;
			$('menu ul li').each(function() {
				if (foundNode) {
					if ($(this).hasClass('sticky')) {
						foundNode = false;	
					} else {
						$(this).hide();
					}
				}
				if ($(this).attr('id')==myId) foundNode = true;
			});
		} else {
			$(this).removeClass('closed');
			var foundNode = false;
			$('menu ul li').each(function() {
				if (foundNode) {
					if ($(this).hasClass('sticky')) {
						foundNode = false;	
					} else {
						$(this).show();
					}
				}
				if ($(this).attr('id')==myId) foundNode = true;
			});

		}
	} else {
		var action = $(this).attr('action');
		if (!_system.isNull(action)) eval(action);
		_menu.hide();		
	}
	return false;
});

$(document).on('swiperight',"menu",function() {
	O_Main_Menu.hide();
	return false;
});

/*Map Events*/

$(document).on('tap',".map-popup-element",function() {
	var action = $(this).attr('action');
	if (!_system.isNull(action)) eval(action);
	return false;
});

/*Section Events*/

/*
$(document).on('swiperight',"section",function() {
	if (!$(this).hasClass('level-0')) {
		var view = $(this).parents('view').attr('id');
		console.log(view);
		O_Main_View[view].backSection();		
	}
	return false;
});

*/