var _authId = "";
var _authName = "";
var _authSurname = "";
var _authGroupId = "";
var _authNOSCode = "";
var _authCompany = "";
var _authEmail = "";
var _authAmount = 0;
var _authGroupId = 0;

login = function() {
	
	$('login .container').addClass("load");
	var email = $('#login-email').val();
	var pass = $('#login-pass').val();
	
	if (email!="" && pass!="") {
		
		var url = _serviceUrl+"login/?user="+email+"&pass="+pass;
		$.getJSON(url, function(data) {
			if (!_system.isNull(data)) {
				console.log(data);
				if (data.Status=="OK") {
					//Login effettuato		
					_authId = data.Id;		
					_authName = data.Name;		
					_authSurname = data.Surname;		
					_authGroupId = data.GroupId;		
					_authNOSCode = data.NOSCode;		
					_authCompany = data.Company;		
					_authGroupId = data.Group;		
					_authEmail = data.Email;
					refreshUserReport();
					refreshUserTransaction();
					refreshUserPrefs();
					refreshUserSubaccount();
					refreshSearch();
				} else {
					_system.message("E-mail o Password non validi!");
				}
			}
			$('login .container').removeClass("load");
		}).fail(function() {
			$('login .container').removeClass("load");
		});	
	}
	
}

authSendNOS = function(code,nos,causale) {
	if (_authNOSCode!="") {
		var url = _serviceUrl+"send/?from="+_authNOSCode+"&to="+code+"&val="+nos+"&causale="+causale;
		console.log(url);
		$.getJSON(url, function(data) {
			if (!_system.isNull(data)) {
				console.log(data);
				if (data.Status=="OK") {
					resetFormNOS();
					refreshUserReport();
					refreshUserTransaction();
					if (data.GroupTo==2) {
						requestFeedback();
					} else {
						_system.message("Operazione Eseguita! I NOS sono stati trasferiti sul conto indicato!");						
					}	
				} else {
					_system.message("Errore di Transazione: "+data.ErrorMessage);
				}
				activeButtonSendNOS();
			}
		}).fail(function() {
			_system.message("Errore di Connessione! Verifica di avere una connessione attiva e riprova.");
			activeButtonSendNOS();
		});	

	}
}

requestFeedback = function() {
	if (confirm("Operazione Eseguita! Vuoi lasciare un feedback su questo esercizio?")) {
		O_Main_View['tab3'].showNextSection();
	}
}

resetFormNOS = function() {	
	$('#transfer-CODE').val('');
	$('#transfer-NOS').val('');
	$('#transfer-CAUSALE').val('');
}

disableButtonSendNOS = function() {
	$('#button-transfer-nos').css('pointer-events','none');
	$('#button-transfer-nos').css('opacity','0.5');
}

activeButtonSendNOS = function() {
	$('#button-transfer-nos').css('pointer-events','visible');
	$('#button-transfer-nos').css('opacity','1');
}

refreshUserReport = function() {
	if (_authId!="") {
		
		if (_authGroupId==2) {
			$('#button-go-section-5').show();
		} else {
			$('#button-go-section-5').hide();			
		}
		if (_authGroupId==2 && _authCompany!="") {
			$('#UserName').html("Benvenuto/a<br>"+_authCompany);		
		} else {		
			$('#UserName').html("Benvenuto/a<br>"+_authName+" "+_authSurname);
		}
		$('#UserNOS, #UserNOSSend, #UserNOSRimborso').text(_authNOSCode);
		
		var url = _serviceUrl+"mynos/?idUser="+_authId;
		console.log(url);
		$.getJSON(url, function(data) {
			if (!_system.isNull(data)) {
				//if (data.Status=="OK") {
					//Login effettuato	
					_authAmount = data.Amount;	
					$('#SaldoDisponibile, #SaldoDisponibileSend, #SaldoDisponibileRimborso').text(data.Amount.replace('.',',')+" NOS");
					$('#SaldoContabile, #SaldoContabileSend, #SaldoContabileRimborso').text(data.Reward.replace('.',',')+" NOS");
				//} 
			}
			loginBoxHide();
		}).fail(function() {
			loginBoxHide();
		});	
	}	
}

refreshUserPrefs = function() {
	if (_authId!="") {
		var url = _serviceUrl+"myprefs/?idUser="+_authId;
		console.log(url);
		$.getJSON(url, function(data) {
			if (!_system.isNull(data)) {
				$('#user-prefs').html('<option>Seleziona tra i Preferiti...</option>');
				for (i=0;i<data.length;i++) {
					$('#user-prefs').append('<option value='+data[i].Code+'>'+data[i].Description+'</option>');
				}
			}
		}).fail(function() {
			
		});	
	}	
}

refreshUserSubaccount = function() {
	if (_authNOSCode!="") {
		var url = _serviceUrl+"mysubaccount/?idUser="+_authNOSCode;
		console.log(url);
		$.getJSON(url, function(data) {
			if (!_system.isNull(data)) {
				$('#user-subaccount').html('<option>Seleziona tra i Sottoconti...</option>');
				for (i=0;i<data.length;i++) {
					$('#user-subaccount').append('<option value='+data[i].Code+'>'+data[i].Description+'</option>');
				}
			}
		}).fail(function() {
			
		});	
	}	
}

prefsAdd = function(idUser) {
	if (_authId!="" && idUser!="") {
		var url = _serviceUrl+"prefs-add/?idUser="+_authId+"&id="+idUser;
		console.log(url);
		$.getJSON(url, function(data) {
			refreshUserPrefs();
		}).fail(function() {			
			_system.message("Errore di connessione al sistema centrale!");
		});	
		$('.button-add-prefs').hide();
		$('.button-remove-prefs').show();
	}	
}

prefsRemove = function(idUser) {
	if (_authId!="" && idUser!="") {
		var url = _serviceUrl+"prefs-remove/?idUser="+_authId+"&id="+idUser;
		console.log(url);
		$.getJSON(url, function(data) {
			refreshUserPrefs();
		}).fail(function() {
			_system.message("Errore di connessione al sistema centrale!");
		});	
		$('.button-add-prefs').show();
		$('.button-remove-prefs').hide();
	}	
}

sendNOSTo = function(NOSCode) {
	$('#transfer-CODE').val(NOSCode);
	O_Main_View['tab3'].show();
}

refreshUserTransaction = function() {
	O_Main_List['list-report-home'] = new FM_List('#list-report-home',null,_serviceUrl+"report-list/index.php?lines=5&idUser="+_authNOSCode);
	O_Main_List['list-report-detail'] = new FM_List('#list-report-detail',null,_serviceUrl+"report-list/index.php?lines=50&idUser="+_authNOSCode);
}

refreshSearch = function() {
	O_Main_List['list-sellers'] = new FM_List('#list-sellers',null,_serviceUrl+"seller-list/index.php?lines=50&key="+$('#search-box input').val());
}

loadSellerDetail = function(view,call) {
	console.log("Call loadSellerDetail() %o %o",view,call);
	O_Main_View['tab4'].addSection(_system.loader("Caricamento in corso...",'no-text'),1);
	O_Main_View['tab4'].showNextSection();
	//setTimeout(function() {
	$.getJSON(call, function(data) {
		O_Main_View['tab4'].html(data.scheda,1);
	}).fail(function() {
		
	});
}

logout = function() {
	if (confirm("Sicuro di voler uscire?"))	 {
		_authId = "";
		_authName = "";
		_authSurname = "";
		_authGroupId = "";
		_authNOSCode = "";
		_authCompany = "";
		_authEmail = "";
		$('login').show();		
	}
	
}

loginBoxShow = function() {
	$('login').show();
}

loginBoxHide = function() {
	$('login').hide();
}