
var _filterKey = new Array();
var _lastEventShowedId = null;
var _lastEventShowedName = null;
var _lastEventShowedLat = null;
var _lastEventShowedLon = null;
var _urlShare = "http://www.cnlive.it/feelthenight";

var _locationLatLon = new Array();

closeAllFilters = function() {
	$('.filter').removeClass("opened");
}

clearAllFilters = function() {
	_filterKey['filter-1'] = "";
	_filterKey['filter-2'] = "";
	_filterKey['filter-3'] = "";
	_filterKey['filter-4'] = "";
	_filterKey['filter-5'] = "";
	$('.filter').removeClass("selected");
	$('.filter-element-search').removeClass("selected");
	closeAllFilters();
}

sponsorHide = function() {
	setTimeout(function () {
		$('#popup-intro').css('opacity',0);
		setTimeout(function () {
			$('#popup-intro').hide();	
		},1100);
	},5000);
}

sendSampling = function() {
	console.log("Call sendSampling");
	var type = $('#tab5 #form-type').val();
	var name = $('#tab5 #form-name').val();
	var email = $('#tab5 #form-email').val();
	var bdate = $('#tab5 #form-bdate').val();
	var address = $('#tab5 #form-address').val();
	var location = $('#tab5 #form-location').val();
	var cap = $('#tab5 #form-cap').val();
	var tel = $('#tab5 #form-tel').val();
	var check1 = $('#tab5 #check-1').is(':checked');
	var check2 = $('#tab5 #check-2').is(':checked');
	var check3 = $('#tab5 #check-3').is(':checked');
	var check4 = $('#tab5 #check-4').is(':checked');
	
	console.log("Data: %o %o %o %o %o %o %o",name,email,bdate,address,location,cap,tel);
	
	if (!check1 || !check2 || !check3 || !check4) {
		_system.message("Controlla di aver accettato tutti i flag di Privacy, Termini e Condizioni.");		
	} else {
		if (name=="" || email=="" || bdate=="" || address=="" || location=="" || cap=="" || tel=="") {
			_system.message("E' necessario compilare tutti i campi richiesti.");		
		} else {
			var url = _serviceUrl+"form/index.php?type="+type+"&name="+name+"&email="+email+"&bdate="+bdate+"&address="+address+"&location="+location+"&cap="+cap+"&tel="+tel;
			console.log(url);
			$.getJSON(url, function(data) {
				if (!_system.isNull(data)) {
					$('#tab5 .form').hide();
					$('#tab5 .message').show();
				}
			});	
		}
	}
	
}

searchNow = function() {
	clearAllFilters();
	var d = new Date();
	var n = d.getDay();
	var h = d.getHours();
	if (n==0) n = 7;
	//Giorno
	$("#filter-2 .list .filter-element-search[value='"+n+"']").trigger("tap");
	//Orario
	if (h>=18 && h<20) $("#filter-3 .list .filter-element-search[value='A']").trigger("tap");
	if (h>=20 && h<22) $("#filter-3 .list .filter-element-search[value='B']").trigger("tap");
	if (h>=22) $("#filter-3 .list .filter-element-search[value='C']").trigger("tap");
	if (h<7) $("#filter-3 .list .filter-element-search[value='D']").trigger("tap");
	//Citta pi vicina
	if (!_system.isNull(_app.userLastLat)) {
		minDistance = 100000;
		valSelected = "";
		$("#filter-1 .list .filter-element-search").each(function() {
			var value = $(this).attr('value');
			var distance = pointsDistance($(this).attr('lat'),$(this).attr('lon'));
			if (distance<minDistance) {
				minDistance = distance;
				valSelected = value;
			}
		});
		if (valSelected!="") {
			$("#filter-1 .list .filter-element-search[value='"+valSelected+"']").trigger("tap");			
		}
	}
	setTimeout(function() {
		$('#go').trigger("tap");	
	},200);
}

pointsDistance = function(lat2,lon2) {
	if (!_system.isNull(_app.userLastLat)) {
		var lat1 = _app.userLastLat;
		var lon1 = _app.userLastLon;
		//console.log("Distance from %o %o %o %o",lat1,lon1,lat2,lon2);
		var radlat1 = Math.PI * lat1/180
	    var radlat2 = Math.PI * lat2/180
	    var radlon1 = Math.PI * lon1/180
	    var radlon2 = Math.PI * lon2/180
	    var theta = lon1-lon2
	    var radtheta = Math.PI * theta/180
	    var dist = Math.sin(radlat1) * Math.sin(radlat2) + Math.cos(radlat1) * Math.cos(radlat2) * Math.cos(radtheta);
	    dist = Math.acos(dist)
	    dist = dist * 180/Math.PI
	    dist = dist * 60 * 1.1515
	    var unit = "K";
	    if (unit=="K") { dist = dist * 1.609344 }
	    if (unit=="N") { dist = dist * 0.8684 }
	    return dist		
	} else {
		return 0;
	}
}

checkVideoPromo = function() {
	var url = _serviceUrl+"video";
	console.log(url);
	$.getJSON(url, function(data) {
		if (!_system.isNull(data)) {
			for (i=0;i<data.length;i++) {
				if (data[i].status==true) {
					var image = data[i].image;
					var video = data[i].video;
					$('#tab4 #intro-slide-'+(i+1)+" .image").css("background-image","url('"+image+"')");
					var videoTag = "<div class='video-player' style='display:block'><video width='100%' height='100%' poster='"+image+"' src='"+video+"' autobuffer preload='false' controls='true' type='video/mp4'></video></div>";
					$('#tab4 #intro-slide-'+(i+1)+" .image").html(videoTag);
				}
			}
		}
	});	
}


checkFormPromo = function() {
	var url = _serviceUrl+"check-form";
	console.log(url);
	$.getJSON(url, function(data) {
		if (!_system.isNull(data)) {
			if (data.status==true) {
				$('#tab5 .level-2 .form').show();
				$('#tab5 .level-2 .message-error').hide();
			} else {
				$('#tab5 .level-2 .form').hide();
				$('#tab5 .level-2 .message-error').show();
			}
		}
	});	
}

listNews = function() {
	
	O_Main_View['tab5'].showSection(3);
	showLoader("#list-news");
	var url = _serviceUrl+"news-list";
	console.log(url);
	$.getJSON(url, function(data) {
		if (!_system.isNull(data)) {
			if (data.length > 0) {
				var listResult = new FM_List("#list-news",null,null,"");
				//Ciclo sui risultati
				var dataList = new Array();
				for (i=0;i<data.length;i++) {
					dataList[i] = new Array();
					dataList[i].id = data[i].id;
					dataList[i].title = data[i].title;
					dataList[i].date = "";
					dataList[i].action = "detailNews(\""+data[i].id+"\")";
					dataList[i].description = data[i].description;
				}
				if (i>0) {
					listResult.create(dataList);
				} else {
					showNoResult("#list-news");
				}	
			} else {
				showNoResult("#list-news");
			}
		} else {
			showNoResult("#list-news");			
		}
	}).fail(function() {
		showNoResult("#list-news");			
		_system.message("Errore di Connessione! Verifica di avere una connessione attiva e riprova.");
	});	
}

detailNews = function(id) {
	O_Main_View["tab5"].showSection(4);				 
	showLoaderDetail();
	
	var url = _serviceUrl+"news-detail/?id="+id;
	console.log(url);
	$.getJSON(url, function(data) {
		if (!_system.isNull(data)) {
			var id = $('#tab5 .level-4');			 
			$(id).find('.header-image').css("background-image","url('"+data.img+"')");				
			var textRes = "<div class='title'>"+data.title+"</div>";
			textRes += "<div class='description'>"+data.description+"</div>";
			$(id).find('.text').html(textRes);
		} else {
			showNoResultDetail();		
		}
	}).fail(function() {
		showNoResultDetail();			
		_system.message("Errore di Connessione! Verifica di avere una connessione attiva e riprova.");
	});	

}

filterEvents = function() {
	
	var f1 = _filterKey['filter-1'];
	var f2 = _filterKey['filter-2'];
	var f3 = _filterKey['filter-3'];
	var f4 = _filterKey['filter-4'];
	var f5 = _filterKey['filter-5'];

	O_Main_View['home'].showSection(1);	
	showLoader("#list-search");
	var url = _serviceUrl+"event-list/?f1="+f1+"&f2="+f2+"&f3="+f3+"&f4="+f4+"&f5="+f5+"&lat="+_app.userLastLat+"&lon="+_app.userLastLon;
	console.log(url);
	$.getJSON(url, function(data) {
		if (!_system.isNull(data)) {
			if (data.length > 0) {
				var listResult = new FM_List("#list-search",null,null,"");
				//Ciclo sui risultati
				var dataList = new Array();
				for (i=0;i<data.length;i++) {
					dataList[i] = new Array();
					dataList[i].id = data[i].id;
					dataList[i].title = data[i].title;
					dataList[i].date = "";
					dataList[i].action = "detailEvent(\""+data[i].id+"\")";
					dataList[i].description = data[i].description;
					var distance = pointsDistance(data[i].lat,data[i].lon);
					if (distance!=0) dataList[i].description += "<div class='latlon'>"+distance.toFixed(1)+"KM</div>";
				}
				if (i>0) {
					listResult.create(dataList);
				} else {
					showNoResult("#list-search");
				}	
			} else {
				showNoResult("#list-search");
			}
		} else {
			showNoResult("#list-search");			
		}
	}).fail(function() {
		showNoResult("#list-search");			
		_system.message("Errore di Connessione! Verifica di avere una connessione attiva e riprova.");
	});	
}

filterSearch = function(search) {
	
	O_Main_View['home'].showSection(1);	
	showLoader("#list-search");
	var url = _serviceUrl+"event-list/?lat="+_app.userLastLat+"&lon="+_app.userLastLon+"&search="+search;
	console.log(url);
	$.getJSON(url, function(data) {
		if (!_system.isNull(data)) {
			if (data.length > 0) {
				var listResult = new FM_List("#list-result-search",null,null,"");
				//Ciclo sui risultati
				var dataList = new Array();
				for (i=0;i<data.length;i++) {
					dataList[i] = new Array();
					dataList[i].id = data[i].id;
					dataList[i].title = data[i].title;
					dataList[i].date = "";
					dataList[i].action = "detailEvent(\""+data[i].id+"\")";
					dataList[i].description = data[i].description;
					var distance = pointsDistance(data[i].lat,data[i].lon);
					if (distance!=0) dataList[i].description += "<div class='latlon'>"+distance.toFixed(1)+"KM</div>";
				}
				if (i>0) {
					listResult.create(dataList);
				} else {
					showNoResult("#list-result-search");
				}	
			} else {
				showNoResult("#list-result-search");
			}
		} else {
			showNoResult("#list-result-search");			
		}
	}).fail(function() {
		showNoResult("#list-result-search");			
		_system.message("Errore di Connessione! Verifica di avere una connessione attiva e riprova.");
	});	
}

filterEventsMaps = function() {

	var f1 = _filterKey['filter-1'];
	var f2 = _filterKey['filter-2'];
	var f3 = _filterKey['filter-3'];
	var f4 = _filterKey['filter-4'];
	var f5 = _filterKey['filter-5'];
	
	O_Main_View['home'].showSection(2);

	var url = _serviceUrl+"event-list/?f1="+f1+"&f2="+f2+"&f3="+f3+"&f4="+f4+"&f5="+f5;	
	var resultMap = new FM_Map("map-search",url,null,null,null,8);

}

filterEventsPrefs = function() {
	
	O_Main_View['prefs'].show();
	O_Main_View['prefs'].showSection(0);	
	refreshListPrefs();	
}

filterEventsCheckin = function() {
	
	O_Main_View['checkin'].show();
	O_Main_View['checkin'].showSection(0);	
	refreshListCheckin();	
}

refreshListPrefs = function() {
	
	showLoader("#list-prefs");
	var url = _serviceUrl+"event-list/?prefs="+localStorage.getItem("AppLocal_Prefs");;
	console.log(url);
	$.getJSON(url, function(data) {
		if (!_system.isNull(data)) {
			if (data.length > 0) {
				var listResult = new FM_List("#list-prefs",null,null,"");
				//Ciclo sui risultati
				var dataList = new Array();
				for (i=0;i<data.length;i++) {
					dataList[i] = new Array();
					dataList[i].id = data[i].id;
					dataList[i].title = data[i].title;
					dataList[i].date = "";
					dataList[i].action = "detailEvent(\""+data[i].id+"\")";
					dataList[i].description = data[i].description;
					var distance = pointsDistance(data[i].lat,data[i].lon);
					if (distance!=0) dataList[i].description += "<div class='latlon'>"+distance.toFixed(1)+"KM</div>";
				}
				if (i>0) {
					listResult.create(dataList);
				} else {
					showNoResult("#list-prefs");
				}	
			} else {
				showNoResult("#list-prefs");
			}
		} else {
			showNoResult("#list-prefs");			
		}
	}).fail(function() {
		showNoResult("#list-prefs");			
		_system.message("Errore di Connessione! Verifica di avere una connessione attiva e riprova.");
	});
}

refreshListCheckin = function() {
	
	showLoader("#list-checkin");
	var url = _serviceUrl+"event-list/?prefs="+localStorage.getItem("AppLocal_Checkin");;
	console.log(url);
	$.getJSON(url, function(data) {
		if (!_system.isNull(data)) {
			if (data.length > 0) {
				var listResult = new FM_List("#list-checkin",null,null,"");
				//Ciclo sui risultati
				var dataList = new Array();
				for (i=0;i<data.length;i++) {
					dataList[i] = new Array();
					dataList[i].id = data[i].id;
					dataList[i].title = data[i].title;
					dataList[i].date = "";
					dataList[i].action = "detailEvent(\""+data[i].id+"\")";
					dataList[i].description = data[i].description;
					var distance = pointsDistance(data[i].lat,data[i].lon);
					if (distance!=0) dataList[i].description += "<div class='latlon'>"+distance.toFixed(1)+"KM</div>";
				}
				if (i>0) {
					listResult.create(dataList);
				} else {
					showNoResult("#list-checkin");
				}	
			} else {
				showNoResult("#list-checkin");
			}
		} else {
			showNoResult("#list-checkin");			
		}
	}).fail(function() {
		showNoResult("#list-checkin");			
		_system.message("Errore di Connessione! Verifica di avere una connessione attiva e riprova.");
	});
}

filterEventsMapsAround = function() {
	
	if (!_system.isNull(_app.userLastLat)) {
	
		var f1 = _filterKey['filter-1'];
		var f2 = _filterKey['filter-2'];
		var f3 = _filterKey['filter-3'];
		var f4 = _filterKey['filter-4'];
		var f5 = _filterKey['filter-5'];
		
		O_Main_View['tab3'].show()
		O_Main_View['tab3'].showSection(0);
	
		var url = _serviceUrl+"event-list/?lat="+_app.userLastLat+"&lon="+_app.userLastLon;	
		console.log(url);
		var resultMap = new FM_Map("map-around",url,null,null,null,8);
	
	} else {
		$('.map-around').html('<div class="content"><div class="title">NON &Egrave; STATO POSSIBILE LOCALIZZARTI!</div><div>Per risolvere il problema chiudi l\'app dal launcher, attiva i servizi di localizzazione dalle impostazioni telefono, verifica di avere un buon segnale 3G ed infine riavvia l\'app</div></div>');
		O_Main_View['tab3'].show()
		O_Main_View['tab3'].showSection(0);
	}

}

detailEvent = function(id) {
	if (_app.latestViewShowed=="#home") {
		O_Main_View["home"].showSection(3);	
	} else if  (_app.latestViewShowed=="#prefs") {
		O_Main_View["prefs"].showSection(1);				 
	} else if  (_app.latestViewShowed=="#checkin") {
		O_Main_View["checkin"].showSection(1);				 
	} else if  (_app.latestViewShowed=="#checkingo") {
		O_Main_View["checkingo"].showSection(1);				 
	} else {
		O_Main_View["tab3"].showSection(1);				 
	}
	showLoaderDetail();
	
	var url = _serviceUrl+"event-detail/?id="+id;
	console.log(url);
	$.getJSON(url, function(data) {
		if (!_system.isNull(data)) {
			if (_app.latestViewShowed=="#home") {
				var id = $('#home .level-3');				
			} else if  (_app.latestViewShowed=="#prefs") {
				var id = $('#prefs .level-1');			 
			} else if (_app.latestViewShowed=="#checkin") {
				var id = $('#checkin .level-1');			 
			} else if (_app.latestViewShowed=="#checkingo") {
				var id = $('#checkingo .level-1');			 
			} else {
				var id = $('#tab3 .level-1');								
			}
			_lastEventShowedId = data.id;
			_lastEventShowedName = data.title;
			_lastEventShowedLat = data.lat;
			_lastEventShowedLon = data.lon;
			$(id).find('.header-image').css("background-image","url('"+data.img+"')");				
			var textRes = "<div class='title'>"+data.title+"</div>";
			textRes += "<div class='address'>"+data.address+"</div>";
			textRes += "<div class='description'>"+data.description+"</div>";
			$(id).find('.text').html(textRes);
			$(id).find('.map').attr('id',"map-detail");
			if (isPrefs(data.id)) {
				id.find('.button.detail-prefs').addClass('selected');
			} else {
				id.find('.button.detail-prefs').removeClass('selected');				
			}
			if (isCheckin(data.id)) {
				id.find('.button.detail-checkin').addClass('selected');
			} else {
				id.find('.button.detail-checkin').removeClass('selected');				
			}
		} else {
			showNoResultDetail();		
		}
	}).fail(function() {
		showNoResultDetail();			
		_system.message("Errore di Connessione! Verifica di avere una connessione attiva e riprova.");
	});	

}

detailShowMap = function(obj) {
	var objMap = obj.parents('.container').find('.map');
	var objView = obj.parents('view');
	var newId = "map-detail-scheda-"+objView.attr('id');
	objMap.attr('id',newId);
	$('#'+newId).toggle();
	if ($('#'+newId).css('display') == 'block') {
		//Visualizzo mappa dettaglio
		var detailMap = new FM_Map(newId,null,_lastEventShowedLat,_lastEventShowedLon,null,14,true,"framework/img/icon/icon-map-default.png");
		$('.button.detail-map').addClass("selected");
	} else {
		$('#'+newId).html('');	
		$('.button.detail-map').removeClass("selected");
	}
}

showAddressStore = function(store, address, tel) {
	
	$('#tab5 .level-1 .title').text(store);
	$('#tab5 .level-1 .description').html('<div class="address">'+address+'</div>'+(!_system.isNull(tel) ? "<div>Tel. "+tel+"</div>" : ""));
	
}

showMapStore = function() {
	
	O_Main_View['tab5'].showSection(1);
	$('#tab5 .level-1 .header-image').html('<div id="map-store"></div>')

	if (_system.isNull(_app.userLastLat)) {
		$('#tab5 .level-1 .title').html('ERRORE GPS!')
		$('#tab5 .level-1 .description').html('Impossibile localizzare la tua posizione. Verifica di avere le configurazioni di GPS attive e riprova.')
	} else {
		$('#tab5 .level-1 .title').html('STORE LOCATOR')
		var url = _serviceUrl+"store-list/?lat="+_app.userLastLat+"&lon="+_app.userLastLon;	
		console.log(url);
		var resultMap = new FM_Map("map-store",url,null,null,null,8);		
		$('#tab5 .level-1 .description').html('<div id="list-store-locator">Seleziona in corso...</div>')

		$.getJSON(url, function(data) {
			if (!_system.isNull(data)) {
					var listResult = new FM_List("#list-store-locator",null,null,"");
					//Ciclo sui risultati
					var dataList = new Array();
					for (i=0;i<data.length;i++) {
						dataList[i] = new Array();
						dataList[i].id = data[i].id;
						dataList[i].title = data[i].title;
						dataList[i].date = "";
						dataList[i].action = "#";
						dataList[i].description = data[i].description;
						var distance = pointsDistance(data[i].lat,data[i].lon);
						if (distance!=0) dataList[i].description += "<div class='latlon'>"+distance.toFixed(1)+"KM</div>";
					}
					if (i>0) {
						listResult.create(dataList);
					} else {
						$('#list-store-locator').html("Ci spiace! Non abbiamo trovato Store nella tua zona.");
					}
			} else {
				$('#list-store-locator').html("Ci spiace! Non abbiamo trovato Store nella tua zona.");
			}
		}).fail(function() {
			$('#list-store-locator').html("Ci spiace! Non abbiamo trovato Store nella tua zona.");
			_system.message("Errore di Connessione! Verifica di avere una connessione attiva e riprova.");
		});	
	}
	
}

addRemoveToPrefs = function() {
	var id = _lastEventShowedId;
	var prefs = localStorage.getItem("AppLocal_Prefs");
	if (_system.isNull(prefs)) {
		console.log("Prefs is Null!");
		localStorage.setItem("AppLocal_Prefs",",");
		prefs = ",";
	}
	var prefsElements = new Array();
	if (!_system.isNull(prefs)) prefsElements = prefs.split(",");
	var found = false;
	for (i=0;i<prefsElements.length;i++) {
		if (prefsElements[i]==id) {
			found = true;
			prefs = prefs.replace(","+id+",",",");
		}
	}
	if (!found) {
		prefs += id+",";
		//_system.message("Aggiunto ai Preferiti!");
	} else {		
		//_system.message("Rimosso dai Preferiti!");
	}
	localStorage.setItem("AppLocal_Prefs",prefs);
	refreshListPrefs();
	//_system.message("Azione non consentita da questo device");
}

addRemoveToCheckin = function() {
	var id = _lastEventShowedId;
	if (!_system.isNull(_lastEventShowedId)) {
		var prefs = localStorage.getItem("AppLocal_Checkin");
		if (_system.isNull(prefs)) {
			localStorage.setItem("AppLocal_Checkin",",");
			prefs = ",";
		}
		var prefsElements = new Array();
		if (!_system.isNull(prefs)) prefsElements = prefs.split(",");
		var found = false;
		for (i=0;i<prefsElements.length;i++) {
			if (prefsElements[i]==id) {
				found = true;
				//prefs = prefs.replace(","+id+",",",");
			}
		}
		if (!found) {
			prefs += id+",";
			//_system.message("Aggiunto ai Preferiti!");
		} else {		
			//_system.message("Rimosso dai Preferiti!");
		}
		localStorage.setItem("AppLocal_Checkin",prefs);
		refreshListCheckin();
		//_system.message("Azione non consentita da questo device");
        //setTimeout(function() {
		navigator.notification.confirm("Vuoi condividere questo check-in?", function(buttonIndex) {
            if (buttonIndex==1) {
			var messageToShare = 'Su FEEL THE NIGHT ho scelto questo locale: '+_lastEventShowedName+'; E tu come trascorrerai la serata?';
			window.plugins.socialsharing.share(messageToShare, 'FEEL THE NIGHT', 'http://appgqchanel.com.dev10.tildecms.com/download/MyTemplate/share-icon.png', _urlShare);
            }
		},"CHECK IN");
	}
}

isPrefs = function(id) {
	var prefs = localStorage.getItem("AppLocal_Prefs");	
	var prefsElements = new Array();
	if (!_system.isNull(prefs)) prefsElements = prefs.split(",");
	var found = false;
	for (i=0;i<prefsElements.length;i++) {
		if (prefsElements[i]==id) {
			found = true;
		}
	}
	return found;
}

isCheckin = function(id) {
	var prefs = localStorage.getItem("AppLocal_Checkin");	
	var prefsElements = new Array();
	if (!_system.isNull(prefs)) prefsElements = prefs.split(",");
	var found = false;
	for (i=0;i<prefsElements.length;i++) {
		if (prefsElements[i]==id) {
			found = true;
		}
	}
	return found;
}

execCheckIn = function(social) {
	var messageToShare = "Grazie a FEEL THE NIGHT questa sara' la mia notte. Come sara' la tua?";
	//console.log(messageToShare);
	if (social=="facebook") {
		window.plugins.socialsharing.shareViaFacebook(messageToShare, 'FEEL THE NIGHT', 'http://appgqchanel.com.dev10.tildecms.com/download/MyTemplate/share-icon.png', _urlShare);
	} else if (social=="twitter") {
		window.plugins.socialsharing.shareViaTwitter(messageToShare, 'FEEL THE NIGHT', 'http://appgqchanel.com.dev10.tildecms.com/download/MyTemplate/share-icon.png', _urlShare);
	} else {
		window.plugins.socialsharing.share(messageToShare, 'FEEL THE NIGHT', 'http://appgqchanel.com.dev10.tildecms.com/download/MyTemplate/share-icon.png', _urlShare);
	}
}

execShare = function() {
	_system.message("Azione non consentita da questo device");
}

showLoaderDetail = function() {
	if (_app.latestViewShowed=="#home") {
		var id = $('#home .level-3');				
	} else if (_app.latestViewShowed=="#prefs") {
		var id = $('#prefs .level-1');			 
	} else if (_app.latestViewShowed=="#checkin") {
		var id = $('#checkin .level-1');			 
	} else if (_app.latestViewShowed=="#checkingo") {
		var id = $('#checkingo .level-1');			 
	} else if (_app.latestViewShowed=="#tab5") {
		var id = $('#tab5 .level-4');			 
	} else {
		var id = $('#tab3 .level-1');								
	}
	$(id).find('.header-image').css("background-image",'none');
	$(id).find('.button.detail-map').removeClass("selected");
	$(id).find('.map').hide();
	$(id).find('.text').html('<div class="loader">Caricamento in corso...</div>')	
}

showNoResultDetail = function(id) {
	showLoaderDetail();
	$(id).find('.text').html('<div class="loader">Impossibile reperire i dati. Ci scusiamo per il disservizio e ti inviatiamo a riprovare in seguito.</div>')	
}

showLoader = function(id) {
	$(id).html('<div class="loader">Caricamento in corso...</div>')
}

showNoResult = function(id) {
	$(id).html('<div class="error">Nessun elemento trovato...</div>')
}

customInterface = function() {
	$('#filter-6 .title').html("ORA IN CITT&Agrave;");
	$('#filter-1 .title').html("CITT&Agrave; <span>[FILTRA]</span>");
	$('#intro-slide-1 .title').html("MILANO");
	$('#intro-slide-1 .sub-title').html("NAPOLI / ROMA / FIRENZE / TORINO");
	$('#intro-slide-2 .title').html("NAPOLI");
	$('#intro-slide-2 .sub-title').html("MILANO / ROMA / FIRENZE / TORINO");
	$('#intro-slide-3 .title').html("ROMA");
	$('#intro-slide-3 .sub-title').html("MILANO / NAPOLI / FIRENZE / TORINO");
	$('#intro-slide-4 .title').html("FIRENZE");
	$('#intro-slide-4 .sub-title').html("MILANO / NAPOLI / ROMA / TORINO");
	$('#intro-slide-5 .title').html("TORINO");
	$('#intro-slide-5 .sub-title').html("MILANO / NAPOLI / ROMA / FIRENZE");
	setTimeout(function() {
		setScrollerVideo();
	},1000);
	checkMyPosition();
}

$(document).on('tap',".button-swipe-left",function() {
	_contentSwiper.swipePrev();	
	return false;
});

$(document).on('tap',".button-swipe-right",function() {
	_contentSwiper.swipeNext();
	return false;
});

$(document).on('tap',"video",function() {
	if (_system.isAndroid()) $(this).play();
	return false;
});

$(document).on('tap','#tab5 #send-sampling',function() {
	checkSampling();
	return false;
});

/*Function Add*/

setScrollerVideo = function() {
	console.log("Call setScrollerVideo()");
	$('#tab4 .pop-swipe .swiper-slide .swiper-container').append("<div class='button-swipe-left'></div><div class='button-swipe-right'></div>");
}

checkMyPosition = function() {
	setTimeout(function() {
		_system.currentPosition();
		checkMyPosition();
	},4000);
}

checkSampling = function() {
	console.log("checkSampling");
	var name = $('#tab5 #form-name').val();
	var email = $('#tab5 #form-email').val();
	var bdate = $('#tab5 #form-bdate').val();
	var address = $('#tab5 #form-address').val();
	var location = $('#tab5 #form-location').val();
	var cap = $('#tab5 #form-cap').val();
	var tel = $('#tab5 #form-tel').val();
	var check1 = $('#tab5 #check-1').is(':checked');
	var check2 = $('#tab5 #check-2').is(':checked');
	var check3 = $('#tab5 #check-3').is(':checked');
	var check4 = $('#tab5 #check-4').is(':checked');
	
	if (!check1 || !check2 || !check3 || !check4) {
		
	} else {
		if (name=="" || email=="" || bdate=="" || address=="" || location=="" || cap=="" || tel=="") {
		
		} else {	
			$('#tab5 .level-2 .form').hide();	
			$('#tab5 .level-2 .text').append("<div class='message-error'><div class='title'>INVIO IN CORSO...</div></div>");		
			var url = _serviceUrl+"form-check-user/index.php?email="+email;
			console.log(url);
			$.getJSON(url, function(data) {
				if (!_system.isNull(data)) {
					if (data.status==false) {
						$('#tab5 .level-2 .text .message-error .title').html("Ci spiace! hai gi&agrave; inviato una richiesta di sampling con questa email!");
						$('#tab5 .level-2 .text .message .title').html("");
					} else {
						setTimeout(function() {
							$('#tab5 .level-2 .text .message-error .title').html("");
						}, 4000);
					}
				}
			});
		}
	}
}